[Index][Class hierarchy] | (#fcl)

# Class hierarchy

- TObject
  - TASCII85RingBuffer
  - TAVLTree
  - TAVLTreeNode
  - TAVLTreeNodeEnumerator
  - TBaseAVLTreeNodeManager
  - TBaseAVLTreeNodeManager
    - TAVLTreeNodeMemManager
  - TBaseJSONEnumerator
  - TCache
  - TCustomBufDataset
    - TCustomSQLQuery
    - TCustomSQLQuery
      - TSQLQuery
  - TCustomIniFile
    - TIniFile
  - TCustomIniFile
    - TIniFile
      - TMemIniFile
  - TCustomIniFile
  - TCustomSQLscript
    - TSQLScript
  - TFieldsEnumerator
  - TFPHashObject
  - TIniFileKey
  - TIniFileSection
  - TMOFile
  - TNonFreePooledMemManager
  - TObject
    - Exception
      - EStreamError
        - Ezliberror
          - Ecompressionerror
  - TObject
    - TPersistent
      - TComponent
        - TDataSource
  - TObject
    - TPersistent
      - TConnectionDef
        - TIBConnectionDef
  - TObject
    - TPersistent
      - TDataLink
        - TDetailDataLink
          - TMasterDataLink
  - TObject
    - TPersistent
      - TComponent
        - TField
          - TNumericField
            - TFloatField
              - TCurrencyField
  - TObject
    - TSQLHandle
      - TSQLCursor
        - TIBCursor
  - TObject
    - Exception
      - EIPCError
  - TObject
    - TPersistent
      - TComponent
        - TCustomConnection
          - TDatabase
            - TSQLConnection
              - TMSSQLConnection
                - TSybaseConnection
  - TObject
    - TPersistent
      - TComponent
        - TProcess
  - TObject
    - TStream
      - TOwnerStream
        - Tcustomzlibstream
          - Tcompressionstream
  - TObject
    - TCompressor
      - TDeflater
  - TObject
    - Exception
      - EStreamError
        - EIDEAError
  - TObject
    - TPersistent
      - TCollection
        - TStreamCollection
  - TObject
    - TJSONData
      - TJSONNumber
        - TJSONInt64Number
  - TObject
    - TStream
      - TOwnerStream
        - TBufStream
          - TWriteBufStream
  - TObject
    - TPersistent
      - TComponent
        - TCustomApplication
          - TCustomDaemonApplication
  - TObject
    - TPersistent
      - TComponent
        - TCustomConnection
          - TDatabase
            - TSQLConnection
  - TObject
    - TPersistent
      - TComponent
        - TField
          - TBinaryField
  - TObject
    - TOrderedList
      - TStack
        - TObjectStack
  - TObject
    - TPersistent
      - TComponent
        - TField
          - TDateTimeField
            - TTimeField
  - TObject
    - TStream
      - TGZFileStream
  - TObject
    - TPersistent
      - TComponent
        - TField
          - TDateTimeField
  - TObject
    - TPersistent
      - TComponent
        - TField
          - TStringField
            - TGuidField
  - TObject
    - TDeCompressor
      - TInflater
  - TObject
    - Exception
      - EStreamError
        - Ezliberror
  - TObject
    - TPersistent
      - TComponent
        - TCustomApplication
  - TObject
    - TPersistent
      - TCollection
        - TCheckConstraints
  - TObject
    - TBlowFish
  - TObject
    - TPersistent
      - TCollectionItem
        - TNamedItem
          - TIndexDef
  - TObject
    - TPersistent
      - TComponent
        - TFPCustomTimer
          - TFPTimer
  - TObject
    - TPersistent
      - TCollectionItem
        - TIniCollectionItem
  - TObject
    - TPersistent
      - TConnectionDef
        - TMSSQLConnectionDef
          - TSybaseConnectionDef
  - TObject
    - TStream
      - THandleStream
        - TIOStream
  - TObject
    - TThread
      - TDaemonThread
  - TObject
    - TJSONData
      - TJSONNumber
        - TJSONFloatNumber
  - TObject
    - TStream
      - THandleStream
        - TInputPipeStream
  - TObject
    - TStream
      - TOwnerStream
        - TBase64DecodingStream
  - TObject
    - TOrderedList
      - TQueue
        - TObjectQueue
  - TObject
    - TPersistent
      - TCollection
        - TDependencies
  - TObject
    - TPersistent
      - TComponent
        - TField
          - TNumericField
            - TLongintField
              - TSmallintField
  - TObject
    - TPersistent
      - TConnectionDef
        - TMSSQLConnectionDef
  - TObject
    - TPersistent
      - TCollection
        - TZipFileEntries
          - TFullZipFileEntries
  - TObject
    - TJSONData
      - TJSONString
  - TObject
    - TStream
      - TOwnerStream
        - TIDEAStream
          - TIDEAEncryptStream
  - TObject
    - Exception
      - EDatabaseError
        - EIBDatabaseError
  - TObject
    - TStream
      - THandleStream
        - TOutputPipeStream
  - TObject
    - TUnZipper
  - TObject
    - TPersistent
      - TComponent
        - TEventLog
  - TObject
    - TStream
      - TOwnerStream
        - TBufStream
          - TReadBufStream
  - TObject
    - Exception
      - EDatabaseError
  - TObject
    - TFields
  - TObject
    - Exception
      - EStreamColl
  - TObject
    - TStream
      - TOwnerStream
        - TBlowFishStream
          - TBlowFishEncryptStream
  - TObject
    - TSynchroObject
      - THandleObject
        - TEventObject
          - TSimpleEvent
  - TObject
    - TPersistent
      - TComponent
        - TField
          - TBinaryField
            - TBytesField
  - TObject
    - THTCustomNode
      - THTObjectNode
  - TObject
    - TPersistent
      - TDataLink
        - TDetailDataLink
  - TObject
    - TFPCustomHashTable
      - TFPDataHashTable
  - TObject
    - TStream
      - TOwnerStream
        - Tcustomzlibstream
          - Tdecompressionstream
  - TObject
    - TList
      - TIniFileKeyList
  - TObject
    - Exception
      - EDuplicate
  - TObject
    - TList
      - TObjectList
  - TObject
    - TPersistent
      - TComponent
        - TCustomDaemonMapper
  - TObject
    - TPersistent
      - TConnectionDef
  - TObject
    - Exception
      - EKeyNotFound
  - TObject
    - TPersistent
      - TCollectionItem
        - TZipFileEntry
          - TFullZipFileEntry
  - TObject
    - TSynchroObject
  - TObject
    - TPersistent
      - TDataLink
  - TObject
    - TPersistent
      - TCollection
        - TIniCollection
          - TNamedIniCollection
  - TObject
    - TPersistent
      - TComponent
        - TField
          - TNumericField
            - TFMTBCDField
  - TObject
    - TPersistent
      - TComponent
        - TField
          - TNumericField
            - TLongintField
              - TIntegerField
  - TObject
    - TPersistent
      - TComponent
        - TSimpleIPC
  - TObject
    - TSQLHandle
      - TSQLCursor
  - TObject
    - TSynchroObject
      - TCriticalSection
  - TObject
    - TPersistent
      - TComponent
        - TCustomDaemonMapper
          - TDaemonMapper
  - TObject
    - TPersistent
      - TCollection
        - TOwnedCollection
          - TDefCollection
            - TIndexDefs
              - TServerIndexDefs
  - TObject
    - TPersistent
      - TComponent
        - TField
          - TDateTimeField
            - TDateField
  - TObject
    - Exception
      - EStreamError
        - Ezliberror
          - Edecompressionerror
  - TObject
    - Exception
      - ELogError
  - TObject
    - Exception
      - EStreamError
        - EIOStreamError
  - TObject
    - TPersistent
      - TComponent
        - TField
          - TBooleanField
  - TObject
    - TPersistent
      - TComponent
        - TField
  - TObject
    - TPersistent
      - TComponent
        - TField
          - TBlobField
            - TGraphicField
  - TObject
    - Exception
      - EDatabaseError
        - EUpdateError
  - TObject
    - TPersistent
      - TCollection
        - TIniCollection
  - TObject
    - TEZcgi
  - TObject
    - TLookupList
  - TObject
    - TPersistent
      - TCollection
        - TOwnedCollection
          - TDefCollection
            - TFieldDefs
  - TObject
    - TPersistent
      - TComponent
        - TCustomConnection
  - TObject
    - TPersistent
      - TComponent
        - TField
          - TNumericField
            - TLongintField
  - TObject
    - TFPCustomHashTable
      - TFPStringHashTable
  - TObject
    - TZipper
  - TObject
    - TCompressor
  - TObject
    - TSynchroObject
      - THandleObject
        - TEventObject
  - TObject
    - Exception
      - EMOFileError
  - TObject
    - TPersistent
      - TComponent
        - TCustomApplication
          - TCustomDaemonApplication
            - TDaemonApplication
  - TObject
    - TFPCustomHashTable
  - TObject
    - TPropsStorage
  - TObject
    - TFPTimerDriver
  - TObject
    - TIPCServerComm
  - TObject
    - TPersistent
      - TCollectionItem
        - TStreamCollectionItem
  - TObject
    - TPersistent
      - TDataLink
        - TDetailDataLink
          - TMasterDataLink
            - TMasterParamsDataLink
  - TObject
    - TJSONData
      - TJSONNumber
  - TObject
    - TOrderedList
  - TObject
    - THTCustomNode
      - THTDataNode
  - TObject
    - TPersistent
      - TComponent
        - TDataSet
          - TDBDataset
  - TObject
    - Exception
      - EProcess
  - TObject
    - Exception
      - EStreamError
        - EPipeError
  - TObject
    - Exception
      - EDaemon
  - TObject
    - TFPHashObjectList
  - TObject
    - THTCustomNode
      - THTStringNode
  - TObject
    - TStream
      - TOwnerStream
        - TASCII85EncoderStream
  - TObject
    - TStream
      - TOwnerStream
        - TIDEAStream
          - TIDEADeCryptStream
  - TObject
    - TJSONData
      - TJSONNumber
        - TJSONIntegerNumber
  - TObject
    - TPersistent
      - TCollection
        - TZipFileEntries
  - TObject
    - TPersistent
      - TComponent
        - TCustomConnection
          - TDatabase
  - TObject
    - TList
      - TObjectList
        - TComponentList
  - TObject
    - TPersistent
      - TComponent
        - TDBTransaction
          - TSQLTransaction
  - TObject
    - Exception
      - EStreamError
        - EPipeError
          - EPipeCreation
  - TObject
    - TStream
      - TOwnerStream
        - TBlowFishStream
  - TObject
    - TCompressor
      - TShrinker
  - TObject
    - TPersistent
      - TComponent
        - TDaemonController
  - TObject
    - TPersistent
      - TCollectionItem
        - TDaemonDef
  - TObject
    - TPersistent
      - TComponent
        - TDBTransaction
  - TObject
    - TFPHashList
  - TObject
    - TPersistent
      - TCollection
        - TParams
  - TObject
    - TStream
      - TOwnerStream
        - TBase64EncodingStream
  - TObject
    - TPersistent
      - TStrings
        - TStringList
          - THashedStringList
  - TObject
    - TPersistent
      - TComponent
        - TField
          - TNumericField
            - TBCDField
  - TObject
    - THTCustomNode
  - TObject
    - TAbstractObjectWriter
      - TBinaryObjectWriter
        - TBidirBinaryObjectWriter
  - TObject
    - Exception
      - EBase64DecodingException
  - TObject
    - TStream
      - TOwnerStream
        - TBufStream
  - TObject
    - TPersistent
      - TComponent
        - TField
          - TBlobField
            - TMemoField
  - TObject
    - TCustomBucketList
  - TObject
    - TPersistent
      - TCollectionItem
        - TIniCollectionItem
          - TNamedIniCollectionItem
  - TObject
    - TDeCompressor
  - TObject
    - TPersistent
      - TComponent
        - TField
          - TNumericField
            - TFloatField
  - TObject
    - TPersistent
      - TComponent
        - TFPCustomTimer
  - TObject
    - TStream
      - TOwnerStream
        - TASCII85DecoderStream
  - TObject
    - TPersistent
      - TCollectionItem
        - TNamedItem
          - TFieldDef
  - TObject
    - Exception
      - EStreamError
        - EPipeError
          - EPipeSeek
  - TObject
    - TPersistent
      - TCollectionItem
        - TDependency
  - TObject
    - TPersistent
      - TComponent
        - TCustomConnection
          - TDatabase
            - TSQLConnection
              - TIBConnection
  - TObject
    - TPersistent
      - TComponent
        - TCustomConnection
          - TDatabase
            - TSQLConnection
              - TSQLConnector
  - TObject
    - TCustomBucketList
      - TBucketList
  - TObject
    - TSynchroObject
      - THandleObject
  - TObject
    - TPropInfoList
  - TObject
    - TPersistent
      - TCollection
        - TOwnedCollection
          - TDefCollection
  - TObject
    - TJSONData
      - TJSONNull
  - TObject
    - Exception
      - EZipError
  - TObject
    - Exception
      - EDatabaseError
        - EMSSQLDatabaseError
  - TObject
    - THTCustomNode
      - THTObjectNode
        - THTOwnedObjectNode
  - TObject
    - TPersistent
      - TComponent
        - TSimpleIPC
          - TSimpleIPCClient
  - TObject
    - TSQLHandle
  - TObject
    - TPersistent
      - TComponent
        - TField
          - TStringField
  - TObject
    - TCustomBucketList
      - TBucketList
        - TObjectBucketList
  - TObject
    - TStream
      - TOwnerStream
        - TBlowFishStream
          - TBlowFishDeCryptStream
  - TObject
    - TFiler
      - TWriter
        - TDelphiWriter
  - TObject
    - TPersistent
      - TComponent
        - TDataModule
          - TCustomDaemon
            - TDaemon
  - TObject
    - TList
      - TClassList
  - TObject
    - TPersistent
      - TComponent
        - TCustomSQLStatement
  - TObject
    - TPersistent
      - TComponent
        - TField
          - TStringField
            - TWideStringField
  - TObject
    - TStream
      - TOwnerStream
        - Tcustomzlibstream
  - TObject
    - TPersistent
      - TComponent
        - TDataModule
          - TCustomDaemon
  - TObject
    - TPersistent
      - TComponent
        - TField
          - TBlobField
  - TObject
    - TIPCClientComm
  - TObject
    - TPersistent
      - TComponent
        - TSimpleIPC
          - TSimpleIPCServer
  - TObject
    - TPersistent
      - TComponent
        - TField
          - TBinaryField
            - TBytesField
              - TVarBytesField
  - TObject
    - TPersistent
      - TComponent
        - TField
          - TNumericField
            - TLargeintField
  - TObject
    - TPersistent
      - TCollectionItem
        - TCheckConstraint
  - TObject
    - TOrderedList
      - TQueue
  - TObject
    - TPersistent
      - TCollection
        - TOwnedCollection
          - TDefCollection
            - TIndexDefs
  - TObject
    - TStream
      - TOwnerStream
        - TIDEAStream
  - TObject
    - TPersistent
      - TCollectionItem
        - TParam
  - TObject
    - TFiler
      - TReader
        - TDelphiReader
  - TObject
    - TPersistent
      - TCollectionItem
        - TNamedItem
  - TObject
    - Exception
      - ECacheError
  - TObject
    - TPersistent
      - TCollectionItem
        - TZipFileEntry
  - TObject
    - Exception
      - EIniCol
  - TObject
    - TList
      - TIniFileSectionList
  - TObject
    - Exception
      - EStreamError
        - EBlowFishError
  - TObject
    - TFPObjectList
  - TObject
    - TSQLHandle
      - TIBTrans
  - TObject
    - TPersistent
      - TWinBindings
  - TObject
    - TPersistent
      - TComponent
        - TCustomSQLStatement
          - TSQLStatement
  - TObject
    - Exception
      - ECGIException
  - TObject
    - TAbstractObjectReader
      - TBinaryObjectReader
        - TBidirBinaryObjectReader
  - TObject
    - TFPCustomHashTable
      - TFPObjectHashTable
  - TObject
    - TOrderedList
      - TStack
  - TObject
    - TPersistent
      - TComponent
        - TField
          - TVariantField
  - TObject
    - TPersistent
      - TComponent
        - TDataSet
  - TObject
    - TJSONData
  - TObject
    - TPersistent
      - TComponent
        - TField
          - TNumericField
            - TLongintField
              - TWordField
  - TObject
    - TPersistent
      - TCollection
        - TDaemonDefs
  - TObject
    - TPersistent
      - TComponent
        - TField
          - TBlobField
            - TWideMemoField
  - TObject
    - TJSONData
      - TJSONBoolean
  - TObject
    - TPersistent
      - TComponent
        - TField
          - TNumericField
            - TLongintField
              - TAutoIncField
  - TObject
    - TPersistent
      - TComponent
        - TField
          - TNumericField
  - TObject
    - Exception
      - EStreamError
        - Ezliberror
          - Egzfileerror
  - TObject
    - TPersistent
      - TComponent
        - TCustomConnection
          - TDatabase
            - TSQLConnection
              - TMSSQLConnection
  - TPooledMemManager
  - TTarArchive
  - TTarWriter

Documentation generated on: Feb 26 2014